Skip to main content
`Ctrl`+`K`

# SerializedColumn

class astropy.table.SerializedColumn

  Bases: `dict`

  Subclass of dict used to serialize mixin columns.

  It is used in the representation to contain the name and possible other info for a mixin column or attribute (either primary data or an array-like attribute) that is serialized as a column in the table.

  Attributes Summary

  `info` | Minimal info to allow SerializedColumn to be recognized as a mixin Column.
  `shape` | Minimal shape implementation to allow use as a mixin column.

  Attributes Documentation

  info

    Minimal info to allow SerializedColumn to be recognized as a mixin Column.

    Used to help create a dict of columns in ColumnInfo for structured data.

  shape

    Minimal shape implementation to allow use as a mixin column.

    Returns the shape of the first item that has a shape at all, or `()` if none of the values has a shape attribute.